## network-manager 1.12.2

=== debian/changelog ===
network-manager (1.12.2-2) unstable; urgency=medium

  * Fix compile error due to NM_AVAILABLE_IN_1_12_2 macro (Closes: #905372)

 -- Michael Biebl <biebl@debian.org>  Sun, 05 Aug 2018 15:00:41 +0200

network-manager (1.12.2-1) unstable; urgency=medium

  * New upstream version 1.12.2
    - Robustness fixes to connectivity checking (Closes: #903996)
  * Rebase patches
  * Update symbols file for libnm0
  * Bump Standards-Version to 4.1.5

 -- Michael Biebl <biebl@debian.org>  Wed, 25 Jul 2018 13:35:31 +0200

network-manager (1.12.0-5) unstable; urgency=medium

  * manager: accept non-null device for VPN activations (Closes: #903109)

 -- Michael Biebl <biebl@debian.org>  Thu, 12 Jul 2018 13:24:13 +0200

network-manager (1.12.0-4) unstable; urgency=medium

  * Add Conflicts to network-manager-dev against deprecated libraries.
    The deprecated libnm-glib-dev, libnm-glib-vpn-dev and libnm-util-dev
    require header files from network-manager-dev which are no longer
    provided in newer versions. Add Conflicts to network-manager-dev to
    ensure that we don't get a broken combination of installed packages.
    (Closes: #903029)
  * Update description of network-manager-dev

 -- Michael Biebl <biebl@debian.org>  Thu, 05 Jul 2018 13:48:51 +0200

network-manager (1.12.0-3) unstable; urgency=medium

  * Increase timeout in test-nm-client to 30s.
    On slow architectures it can take longer then 3s for the test service to
    start up.

 -- Michael Biebl <biebl@debian.org>  Thu, 05 Jul 2018 03:58:53 +0200

network-manager (1.12.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Michael Biebl <biebl@debian.org>  Tue, 03 Jul 2018 23:55:36 +0200

network-manager (1.12.0-1) experimental; urgency=medium

  * New upstream version 1.12.0
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Sun, 01 Jul 2018 21:14:07 +0200

network-manager (1.11.90-2) experimental; urgency=medium

  * Drop libnl3 build dependency.
    Upstream has copied the code directly from libnl3 for the few functions it
    needs with a few small modifications.
  * Drop libiw build dependency.
    Hasn't been needed for a long time and was simply a left over from older
    releases.
  * Cherry-pick upstream fixes to make test suite pass on slower buildds

 -- Michael Biebl <biebl@debian.org>  Mon, 18 Jun 2018 14:15:40 +0200

network-manager (1.11.90-1) experimental; urgency=medium

  * New upstream version 1.11.90 (1.12 rc1)
  * Rebase patches
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Sun, 17 Jun 2018 15:43:10 +0200

network-manager (1.11.4-1) experimental; urgency=medium

  * New upstream version 1.11.4
  * Update install path for plugins, it now includes a version number
  * Update symbols file for libnm0
  * Make sure the example server.conf is actually installed
  * Rebase patches
  * Drop dh_strip override, the dbgsym migration is done
  * Enable iwd support
  * Drop version requirements when oldstable ships a newer version

 -- Michael Biebl <biebl@debian.org>  Mon, 11 Jun 2018 13:28:39 +0200

network-manager (1.11.3-1) experimental; urgency=medium

  * New upstream version 1.11.3
  * Rebase patches
  * Update symbols file for libnm0
  * Drop inetutils-arputils Suggests.
    The ACD functionality of NetworkManager is no longer using arping, so
    the Suggests is no longer useful.

 -- Michael Biebl <biebl@debian.org>  Mon, 23 Apr 2018 23:35:35 +0200

network-manager (1.10.8-1) unstable; urgency=medium

  * New upstream version 1.10.8
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Fri, 11 May 2018 22:19:39 +0200

network-manager (1.10.6-3) unstable; urgency=medium

  * Stop building libnm-glib/libnm-util.
    Those libraries have been deprecated for several years. The successor is
    libnm, a GObject-based client library using GDBus instead of dbus-glib.

 -- Michael Biebl <biebl@debian.org>  Wed, 18 Apr 2018 19:40:01 +0200
