=== debian/changelog ===
network-manager (1.12.4-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian (LP: #1795704). Remaining changes:
    - Use systemd-resolved instead of dnsmasq
    - debian/control:
      + Depend on isc-dhcp-client instead of recommends
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - debian/network-manager.maintscript
      + Remove /etc/dbus-1/system.d/nm-ofono.conf
    - debian/default-wifi-powersave-on.conf, debian/rules:
      + Install a config file to enable WiFi powersave
    - Enable build tests
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
      + Disable-general-with-expect.patch
      + libnm-Check-self-still-NMManager-or-not.patch
      + dns-manager-don-t-merge-split-DNS-search-domains.patch (but disabled)
      + Read-system-connections-from-run.patch
    - debian/tests/urfkill-integration - don't stop/start network manager
  * Revert "Add Conflicts to network-manager-dev against deprecated libraries"
    This reverts commit b4acc5e03e2b821e1cccc69529bb70826c741942.  We're still
    building libnm-glib for now, so these packages have a use in Ubuntu.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 03 Oct 2018 10:03:10 +0100

network-manager (1.12.4-1) unstable; urgency=medium

  * New upstream version 1.12.4
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Sun, 23 Sep 2018 10:23:25 +0200

network-manager (1.12.2-3) unstable; urgency=medium

  [ Simon McVittie ]
  * Apply patch from upstream to fix FTBFS with GLib 2.57 (Closes: #906965)

 -- Michael Biebl <biebl@debian.org>  Tue, 04 Sep 2018 16:07:24 +0200

network-manager (1.12.2-0ubuntu5) cosmic; urgency=medium

  * debian/tests/nm: Add the required `gi.require_version()` calls - thanks to
    the autopkgtests for noticing this.
  * debian/tests/control: The nm tests need dnsmasq-base and isc-dhcp-client
    too.

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 24 Sep 2018 10:17:30 +0100

network-manager (1.12.2-0ubuntu4) cosmic; urgency=medium

  Cherry-pick fixes from debian:
  * Fix compile error due to NM_AVAILABLE_IN_1_12_2 macro in n-m-applet
  * Apply patch from upstream to fix FTBFS with GLib 2.57

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 10 Sep 2018 11:36:35 +0200

network-manager (1.12.2-0ubuntu3) cosmic; urgency=medium

  * debian/rules:
    - use --with-libnm-glib, the default reversed since that's a legacy
      library but we still need it for unity-control-center

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 24 Aug 2018 11:00:09 +0200

network-manager (1.12.2-0ubuntu2) cosmic; urgency=medium

  * debian/patches/git-newglib-test.patch:
    - backport upstream commit to fix the tests with the new glib 

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 24 Aug 2018 10:44:12 +0200

network-manager (1.12.2-0ubuntu1) cosmic; urgency=medium

  * New upstream version
  * d/p/libnm-register-empty-NMClient-and-NetworkManager-when-loa.patch,
    d/p/e91f1a7d2a6b8400b6b331d5b72287dcb5164a39.patch,
    d/p/git_thunderbolt_connect.patch:
    - removed, those changes are in the new version
  * Backport Debian changes
  * Update symbols file for libnm0
  * Enable iwd support
  * Drop version requirements when oldstable ships a newer version
  * Drop dh_strip override, the dbgsym migration is done
  * Rebase patches
  * Make sure the example server.conf is actually installed
  * Update install path for plugins, it now includes a version number
  * Drop libnl3 build dependency.
    Upstream has copied the code directly from libnl3 for the few functions it
    needs with a few small modifications.
  * Drop libiw build dependency.
    Hasn't been needed for a long time and was simply a left over from older
    releases.
  * Bump Standards-Version to 4.1.5
  * Fix compile error due to NM_AVAILABLE_IN_1_12_2 macro (Closes: #905372)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 24 Aug 2018 09:27:39 +0200

network-manager (1.10.8-1ubuntu4) cosmic; urgency=medium

  * debian/10-globally-managed-devices.conf: adjust exception for wwan to
    specify cdma and gsm, since those are the actual types handled by NM/MM.
    (LP: #1780606)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 10 Jul 2018 08:17:11 -0400

network-manager (1.10.8-1ubuntu3) cosmic; urgency=medium

  * Revert the changes to remove the nmclient bindings, those are needed
    to build nm-applet until the legacy binaries can be removed, which
    requires unity-control-center to be updated to use the new library.

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 04 Jul 2018 15:30:19 +0200

network-manager (1.10.8-1ubuntu2) cosmic; urgency=medium

  * debian/patches/git_thunderbolt_connect.patch:
    - enable host to host connection through thunderbolt

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 25 May 2018 16:54:48 +0200

network-manager (1.10.8-1ubuntu1) cosmic; urgency=medium


