=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: network-manager
 Section: net
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>,
  Sjoerd Simons <sjoerd@debian.org>,
  Aron Xu <aron@debian.org>
@@ -10,6 +11,8 @@
                dpkg-dev (>= 1.17.14),
                pkg-config,
                intltool,
+               libdbus-glib-1-dev (>= 0.100),
+               libdbus-1-dev (>= 1.1),
                libglib2.0-dev (>= 2.32),
                ppp-dev (>= 2.4.7-1+1),
                libpolkit-gobject-1-dev,
@@ -42,8 +45,8 @@
                python-dbus <!nocheck>
 Standards-Version: 4.1.5
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/utopia-team/network-manager.git
-Vcs-Browser: https://salsa.debian.org/utopia-team/network-manager
+Vcs-Git: https://code.launchpad.net/~network-manager/network-manager/+git/ubuntu
+Vcs-Browser: https://git.launchpad.net/network-manager?h=cosmic
 Homepage: https://wiki.gnome.org/Projects/NetworkManager
 
 Package: network-manager
@@ -56,15 +59,16 @@
          dbus,
          udev,
          adduser,
+         isc-dhcp-client,
          libpam-systemd,
          policykit-1
 Recommends: ppp,
             dnsmasq-base,
             iptables,
             modemmanager,
+            network-manager-pptp,
             crda,
-            isc-dhcp-client,
-Suggests: libteam-utils
+Suggests: avahi-autoipd, libteam-utils
 Breaks: ${misc:Breaks}
 Description: network management framework (daemon and userspace tools)
  NetworkManager is a system network service that manages your network devices
@@ -77,10 +81,11 @@
  interact with NetworkManager.
  .
  Optional dependencies:
+  * avahi-autoipd: Used for IPv4LL, a protocol for automatic Link-Local IP
+    address configuration.
   * ppp: Required for establishing dial-up connections (e.g. via GSM).
   * dnsmasq-base/iptables: Required for creating Ad-hoc connections and
     connection sharing.
-    address configuration.
   * libteam-utils: Network Team driver allows multiple network interfaces to be
     teamed together and act like a single one. This process is called "ethernet
     bonding", "channel teaming" or "link aggregation".
@@ -90,14 +95,120 @@
 Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends}
-Conflicts: libnm-glib-dev,
-           libnm-glib-vpn-dev,
-           libnm-util-dev,
 Description: network management framework (development files)
  This package provides documentation of the NetworkManager D-Bus API, the
  configuration formats and command line utilities.
  It also provides D-Bus introspection files.
 
+Package: libnm-glib4
+Section: libs
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: network management framework (GLib shared library)
+ NetworkManager is a system network service that manages your network devices
+ and connections, attempting to keep active network connectivity when
+ available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
+ devices, and provides VPN integration with a variety of different VPN
+ services.
+ .
+ This package provides the shared library that applications can use to query
+ connection status via NetworkManager.
+
+Package: libnm-glib-dev
+Section: libdevel
+Architecture: linux-any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         libnm-glib4 (= ${binary:Version}),
+         gir1.2-networkmanager-1.0 (= ${binary:Version}),
+         libnm-util-dev (>= ${binary:Version}),
+         network-manager-dev (>= ${binary:Version}),
+         libglib2.0-dev,
+         libdbus-glib-1-dev
+Description: network management framework (GLib interface)
+ NetworkManager is a system network service that manages your network devices
+ and connections, attempting to keep active network connectivity when
+ available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
+ devices, and provides VPN integration with a variety of different VPN
+ services.
+ .
+ This package contains header and development files and the API documentation
+ for libnm-glib.
+
+Package: libnm-glib-vpn1
+Section: libs
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: network management framework (GLib VPN shared library)
+ NetworkManager is a system network service that manages your network devices
+ and connections, attempting to keep active network connectivity when
+ available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
+ devices, and provides VPN integration with a variety of different VPN
+ services.
+ .
+ This package provides the shared library that applications can use for
+ creating VPN connections via NetworkManager.
+
+Package: libnm-glib-vpn-dev
+Section: libdevel
+Architecture: linux-any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         libnm-glib-vpn1 (= ${binary:Version}),
+         libnm-glib-dev (>= ${binary:Version}),
+         network-manager-dev (>= ${binary:Version}),
+Description: network management framework (GLib interface)
+ NetworkManager is a system network service that manages your network devices
+ and connections, attempting to keep active network connectivity when
+ available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
+ devices, and provides VPN integration with a variety of different VPN
+ services.
+ .
+ This package contains header and development files for libnm-glib-vpn.
+
+Package: libnm-util2
+Section: libs
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: network management framework (shared library)
+ NetworkManager is a system network service that manages your network devices
+ and connections, attempting to keep active network connectivity when
+ available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
+ devices, and provides VPN integration with a variety of different VPN
+ services.
+ .
+ This package contains a convenience library to ease the access to
+ NetworkManager.
+
+Package: libnm-util-dev
+Section: libdevel
+Architecture: linux-any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         libnm-util2 (= ${binary:Version}),
+         gir1.2-networkmanager-1.0 (= ${binary:Version}),
+         network-manager-dev (>= ${binary:Version}),
+         libglib2.0-dev,
+         libdbus-glib-1-dev
+Description: network management framework (development files)
+ NetworkManager is a system network service that manages your network devices
+ and connections, attempting to keep active network connectivity when
+ available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
+ devices, and provides VPN integration with a variety of different VPN
+ services.
+ .
+ This package contains header and development files and the API documentation
+ for libnm-util.
+
 Package: libnm0
 Section: libs
 Architecture: linux-any
@@ -132,6 +243,26 @@
  .
  This package contains header and development files.
 
+Package: gir1.2-networkmanager-1.0
+Section: introspection
+Architecture: linux-any
+Multi-Arch: same
+Depends: ${gir:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
+Description: GObject introspection data for the libnm-glib/libnm-util library
+ NetworkManager is a system network service that manages your network devices
+ and connections, attempting to keep active network connectivity when
+ available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
+ devices, and provides VPN integration with a variety of different VPN
+ services.
+ .
+ This package contains introspection data for NetworkManager using
+ libnm-glib/libnm-util.
+ .
+ It can be used by packages using the GIRepository format to generate
+ dynamic bindings.
+
 Package: gir1.2-nm-1.0
 Section: introspection
 Architecture: linux-any
@@ -170,3 +301,16 @@
  No user data is transmitted in the connectivity checks, but merely contacting
  the Debian connectivity check servers reveals that the user is running a
  Debian(-based) operating system with NetworkManager.
+
+Package: network-manager-config-connectivity-ubuntu
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends},
+         network-manager (>= ${source:Version})
+Description: NetworkManager configuration to enable connectivity checking
+ This package contains a configuration file which enables NetworkManager's
+ connectivity checking functionality.
+ .
+ NetworkManager will try to connect to an Ubuntu server to determine the
+ connection status.
+ .
